Subject: bug#60020: closed (Re: bug#60020: [PATCH 0/8] Update openjdk.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 18 Jan 2023 15:04:02 +0000

Your bug report

#60020: [PATCH 0/8] Update openjdk.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
60020: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60020
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#60020: [PATCH 0/8] Update openjdk.
From: Greg Hogan <[email-masked]>
To: Efraim Flashner <[email-masked]>, Maxim Cournoyer <[email-masked]>, Greg Hogan <[email-masked]>, [email-masked]
Date: Wed, 18 Jan 2023 10:03:26 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, Jan 18, 2023 at 4:40 AM Efraim Flashner <[email-masked]> wrote:
>
> I meant to come back to this one. I wasn't able to build version 19
> locally and I guess I forgot to say anything :/

I see that this was committed and built successfully on ci. Since
TasksMax only appears to be affecting my foreign distro build
environment (with thousands of zombie bash processes) this ticket is
complete and I am closing. Thanks Maxim and Efraim!

Greg

Subject: [PATCH 0/8] Update openjdk.
From: Greg Hogan <[email-masked]>
To: [email-masked]
Cc: Greg Hogan <[email-masked]>
Date: Mon, 12 Dec 2022 21:18:38 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

These look to be the latest updates to openjdk11+.

The openjdk build process creates thousands of defunct bash processes,
necessitating the increase in maximum number of tasks.

Greg Hogan (8):
  Increase "TasksMax" in 'guix-daemon.service'.
  gnu: openjdk11: Update to 11.0.17.
  gnu: openjdk13: Update to 13.0.13.
  gnu: openjdk15: Update to 15.0.9.
  gnu: openjdk16: Update to 16.0.2.
  gnu: openjdk17: Update to 17.0.5.
  gnu: openjdk18: Update to 18.0.2.
  gnu: openjdk: Update to 19.

 etc/guix-daemon.service.in |  2 +-
 gnu/packages/java.scm      | 44 +++++++++++++++++++++++++++-----------
 2 files changed, 32 insertions(+), 14 deletions(-)

-- 
2.38.1